# Neural Signal Analysis Library

The `neural_signal_analysis` library is a comprehensive Python package for EEG data analysis. It encompasses a wide range of functionalities including FFT (Fast Fourier Transform), Higuchi Fractal Dimension, Transfer Entropy, Welch's Power Spectral Density, and more, providing a toolkit for researchers and developers working with neural signal data.

## Installation

To install `neural_signal_analysis`, simply run:

```bash
pip install neural_signal_analysis
```

Ensure you have Python 3.7 or later installed.

Modules:
FFT (Fast Fourier Transform)
STFT Signal (Short-Time Fourier Transform)
Frequency Maximum Power
Higuchi Fractal Dimension
MFDFA Neural (Multifractal Detrended Fluctuation Analysis)
Phase Space 2D
Phase Space 3D
Spectral Centroids
Spectral Edge Density
Spectral Entropy Signals
Transfer Entropy All Signals
Transfer Entropy Hemispheric
Transfer Entropy Regional
Welchs PSD (Power Spectral Density)

Example usage:
```bash
from neural_signal_analysis import WelchsPSD
```

Contributing

Contributions to neural_signal_analysis are welcome! If you have suggestions for improvements or encounter any issues, please feel free to open an issue or submit a pull request on our

License

This project is licensed under the CC BY-SA 4.0 License - see the LICENSE file for details.